/* Charts */

// charts coloring, etc

text:last-of-type {
	display: none;
}

rect {
	fill: transparent !important;
}

// Pie chart colors



@mixin colorPieChart($color1, $color2: rgba($color1, 0.15)) {
	.panel_pie {
		svg {
			pointer-events: none;
		}
		
		text {
			fill: $color1;
			font-size: 20px;
		}
		
		.highcharts-series-group {
			path {
				fill: $color1;
			}
		
			path + path {
				fill: $color2;
			}
		}
	}
}

.panel_leads {
	@include colorPieChart($cyan);
}

.panel_first_time {
	@include colorPieChart($green2);
}

.panel_active {
	@include colorPieChart($green3);
}

.panel_defecting {
	@include colorPieChart($red);
}

.panel_inactive {
	@include colorPieChart($grey);
}

// area caharts

.area_chart {
	margin: {
		bottom: -40px;
		left: -8px;
	}
	height: 60px;
	width: 100%;
	padding-right: 65px;
	
	@extend %borderBox;
	
	.highcharts-legend {
		display: none;
	}
}

/*.panel_chart {
	.highcharts-series {
		.highcharts-markers path {
			fill: red !important;
		}
	}
}*/

